﻿Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.Windows

Public Class Class1
    Dim myPaletteSet As PaletteSet
    Dim myUserControl1 As UserControl1
    Dim myUserControl2 As UserControl2

    <CommandMethod("test")> _
    Public Sub main()
        Try

            If myPaletteSet = Nothing Then

                myUserControl1 = New UserControl1()
                myUserControl2 = New UserControl2()

                myPaletteSet = New Autodesk.AutoCAD.Windows.PaletteSet("", New Guid("D61D0875-A507-4b73-8B5F-9266BEACD596"))
                myPaletteSet.Add("Reiter 1", myUserControl1)
                myPaletteSet.Add("Reiter 2", myUserControl2)

                AddHandler myPaletteSet.PaletteActivated, AddressOf EventHandlerPaletteActivated

            End If

            myPaletteSet.Visible = True
            myPaletteSet.Name = "PaletteSet"

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub EventHandlerPaletteActivated(ByVal sender As Object, ByVal e As PaletteActivatedEventArgs)

        'If myPaletteSet.Dock = DockSides.None Then

        If e.Activated.Name = "Reiter 1" Then
            myPaletteSet.Size = New Drawing.Size(320, myPaletteSet.Size.Height)
        ElseIf e.Activated.Name = "Reiter 2" Then
            myPaletteSet.Size = New Drawing.Size(220, myPaletteSet.Size.Height)
        End If

        'End If

    End Sub
End Class
